Some objects in Monite can have custom tags assigned to them, such as “Travel expenses” or “Events”. Tags are useful for improving organization, reporting, and workflows by enabling detailed categorization and tracking.
You can assign tags to:
Tag names are case-sensitive, so Marketing and marketing are two different tags.
Tags can optionally have a category and description. The available categories are document_type, department, project, cost_center, vendor_type, payment_method, and approval_status.
To create and manage tags using an entity user token, this entity user must have a role with the tag permission.
If a partner-level token is used, no special permissions are needed.
Before you can add tags to an object, you need to create these tags in Monite. To create a tag, call POST /tags:
The response contains the ID assigned to this tag name:
You can assign tags to objects both when creating new objects and updating existing objects.
Provide the tag IDs in the tag_ids list in the request body of the create or update request.
Some examples:
When updating existing objects, the provided tag_ids list replaces the old tags rather than appends tags. In other words:
tag_ids list.tag_ids list containing the tags you want to keep - or an empty array [] if you want to remove all tags.You can define sets of specific tags to be automatically assigned to new payables created via OCR. This feature must be enabled via the entity setting payables_ocr_auto_tagging.
Additionally, you must specify a set of keywords that Monite will use to search within the created payables. Monite searches by substring and is case-insensitive. When one of these keywords is detected during the OCR process, the corresponding tag will be automatically assigned to the payable:
When querying taggable objects, you can provide a list of tags to use as a filter.
/payables and /payable_credit_notes endpoints support the tag_ids filter that works as OR.
GET /payables?tag_ids=TAG_1&tag_ids=TAG_2 returns payables that contain at least one of TAG_1 or TAG_2./receivables endpoints support the tag_ids (AND) and tag_ids__in (OR) filters.
GET /receivables?tag_ids=TAG_1&tag_ids=TAG_2 returns receivables that contain both TAG_1 and TAG_2.GET /receivables?tag_ids__in=TAG_1&tag_ids__in=TAG_2 returns receivables that contain at least one of TAG_1 or TAG_2.GET /counterparts supports the tag_ids__in filter that works as OR.
To list all existing tags, call GET /tags:
You will get a list of tag names and IDs:
You can rename existing tags as well as change their category and description.
To update a tag, call PATCH /tags/{tag_id} and provide the new values in the request body:
Call DELETE /tags/{tag_id} to delete an existing tag by its ID. This tag will be automatically deleted from all objects where it is used.